commit 342ea08ad83effa928f56022fb482584aeeda3b3
Author: petrh <petrh@zcu.cz>
Date:   Wed May 6 12:16:40 2020 +0200

    Re #7937
    - Upraveny komentáře pro processory v pipeline

diff --git a/modules/crawler/DatasetProcessing/JISProcessor.py b/modules/crawler/DatasetProcessing/JISProcessor.py
index 29138d8..d139bd2 100644
--- a/modules/crawler/DatasetProcessing/JISProcessor.py
+++ b/modules/crawler/DatasetProcessing/JISProcessor.py
@@ -1,21 +1,20 @@
-from Utilities.CSV import CSVDataLine, CSVutils
+from Utilities.CSV import CSVDataLine
 from Utilities import DateFormating
 
 
 def process_file(filename):
     """
-    Method that take path to crawled file and outputs date dictionary using method:
-    CSVutils.export_data_to_csv(filename, date_dict)
+    Method that take path to crawled file and outputs date dictionary:
     Date dictionary is a dictionary where keys are dates in format ddmmYYYYhh (0804201815)
     and value is dictionary where keys devices (specified in configuration file)
     and value is CSVDataLine.CSVDataLine with device,date and occurrence
 
     Args:
-        filename: name of processed file
+    filename: name of processed file
 
     Returns:
-        False if not implemented
-        True when implemented
+    None if not implemented
+    date_dict when implemented
     """
     date_dict = dict()
 
diff --git a/modules/crawler/DatasetProcessing/KOLOBEZKYProcessor.py b/modules/crawler/DatasetProcessing/KOLOBEZKYProcessor.py
index 48d9c07..85d65e2 100644
--- a/modules/crawler/DatasetProcessing/KOLOBEZKYProcessor.py
+++ b/modules/crawler/DatasetProcessing/KOLOBEZKYProcessor.py
@@ -1,21 +1,20 @@
-from Utilities.CSV import CSVDataLine, CSVutils
+from Utilities.CSV import CSVDataLine
 from Utilities import DateFormating
 
 
 def process_file(filename):
     """
-    Method that take path to crawled file and outputs date dictionary using method:
-    CSVutils.export_data_to_csv(filename, date_dict)
+    Method that take path to crawled file and outputs date dictionary:
     Date dictionary is a dictionary where keys are dates in format ddmmYYYYhh (0804201815)
     and value is dictionary where keys devices (specified in configuration file)
     and value is CSVDataLine.CSVDataLine with device,date and occurrence
 
     Args:
-        filename: name of processed file
+    filename: name of processed file
 
     Returns:
-        False if not implemented
-        True when implemented
+    None if not implemented
+    date_dict when implemented
     """
     date_dict = dict()
 
diff --git a/modules/crawler/DatasetProcessing/WIFIProcessor.py b/modules/crawler/DatasetProcessing/WIFIProcessor.py
index 270a935..bb4410e 100644
--- a/modules/crawler/DatasetProcessing/WIFIProcessor.py
+++ b/modules/crawler/DatasetProcessing/WIFIProcessor.py
@@ -1,24 +1,23 @@
-from Utilities.CSV import CSVDataLine, CSVutils
+from Utilities.CSV import CSVDataLine
 from Utilities import DateFormating
 
 
 def process_file(filename):
     """
-    Method that take path to crawled file and outputs date dictionary using method:
-    CSVutils.export_data_to_csv(filename, date_dict)
+    Method that take path to crawled file and outputs date dictionary:
     Date dictionary is a dictionary where keys are dates in format ddmmYYYYhh (0804201815)
     and value is dictionary where keys devices (specified in configuration file)
     and value is CSVDataLine.CSVDataLine with device,date and occurrence
 
     Args:
-        filename: name of processed file
+    filename: name of processed file
 
     Returns:
-        False if not implemented
-        True when implemented
+    None if not implemented
+    date_dict when implemented
     """
     date_dict = dict()
-    
+
     with open(filename, "r", encoding="utf-8") as file:
 
         for line in file:
diff --git a/modules/crawler/PrepareNewDataset.py b/modules/crawler/PrepareNewDataset.py
index af1cf77..1122f16 100644
--- a/modules/crawler/PrepareNewDataset.py
+++ b/modules/crawler/PrepareNewDataset.py
@@ -43,7 +43,7 @@ def create_default_processor(dataset_name):
         dataset_name: Name of newly created dataset
     """
     with open(PROCESSOR_PROGRAM_PATH + "/" + dataset_name + "Processor.py", "w") as file:
-        file.write("from Utilities.CSV import CSVDataLine, CSVutils")
+        file.write("from Utilities.CSV import CSVDataLine")
         file.write("\n")
         file.write("\n")
         file.write("def process_file(filename):\n")