commit 3692d853bfbeefd001b0a2ff0821d3ec0dea7e97
Author: petrh <petrh@zcu.cz>
Date:   Wed May 27 18:47:11 2020 +0200

    Úprava komentářů

diff --git a/modules/crawler/DatasetCrawler/JIS_crawler.py b/modules/crawler/DatasetCrawler/JIS_crawler.py
index 101a410..15f3599 100644
--- a/modules/crawler/DatasetCrawler/JIS_crawler.py
+++ b/modules/crawler/DatasetCrawler/JIS_crawler.py
@@ -30,11 +30,12 @@ def crawl(config):
         second_level_links = basic_crawler_functions.get_all_links(link)
         filtered_second_level_links = basic_crawler_functions.filter_links(second_level_links, regex)
         absolute_second_level_links = basic_crawler_functions.create_absolute_links(filtered_second_level_links, link)
-        final_links = basic_crawler_functions.remove_downloaded_links(absolute_second_level_links, dataset_name)
 
-        for file_link in final_links:
+        for file_link in absolute_second_level_links:
             files.append(file_link)
 
+    files = basic_crawler_functions.remove_downloaded_links(files, dataset_name)
+
     for file in files:
         basic_crawler_functions.download_file_from_url(file, dataset_name)
 
diff --git a/modules/crawler/DatasetCrawler/KOLOBEZKY_crawler.py b/modules/crawler/DatasetCrawler/KOLOBEZKY_crawler.py
index b26d3f6..6851240 100644
--- a/modules/crawler/DatasetCrawler/KOLOBEZKY_crawler.py
+++ b/modules/crawler/DatasetCrawler/KOLOBEZKY_crawler.py
@@ -30,11 +30,12 @@ def crawl(config):
         second_level_links = basic_crawler_functions.get_all_links(link)
         filtered_second_level_links = basic_crawler_functions.filter_links(second_level_links, regex)
         absolute_second_level_links = basic_crawler_functions.create_absolute_links(filtered_second_level_links, link)
-        final_links = basic_crawler_functions.remove_downloaded_links(absolute_second_level_links, dataset_name)
 
-        for file_link in final_links:
+        for file_link in absolute_second_level_links:
             files.append(file_link)
 
+    files = basic_crawler_functions.remove_downloaded_links(files, dataset_name)
+
     for file in files:
         basic_crawler_functions.download_file_from_url(file, dataset_name)
 
diff --git a/modules/crawler/DatasetCrawler/WIFI_crawler.py b/modules/crawler/DatasetCrawler/WIFI_crawler.py
index b26d3f6..6851240 100644
--- a/modules/crawler/DatasetCrawler/WIFI_crawler.py
+++ b/modules/crawler/DatasetCrawler/WIFI_crawler.py
@@ -30,11 +30,12 @@ def crawl(config):
         second_level_links = basic_crawler_functions.get_all_links(link)
         filtered_second_level_links = basic_crawler_functions.filter_links(second_level_links, regex)
         absolute_second_level_links = basic_crawler_functions.create_absolute_links(filtered_second_level_links, link)
-        final_links = basic_crawler_functions.remove_downloaded_links(absolute_second_level_links, dataset_name)
 
-        for file_link in final_links:
+        for file_link in absolute_second_level_links:
             files.append(file_link)
 
+    files = basic_crawler_functions.remove_downloaded_links(files, dataset_name)
+
     for file in files:
         basic_crawler_functions.download_file_from_url(file, dataset_name)
 
diff --git a/modules/crawler/DatasetProcessing/JIS_processor.py b/modules/crawler/DatasetProcessing/JIS_processor.py
index 6474f21..c141564 100644
--- a/modules/crawler/DatasetProcessing/JIS_processor.py
+++ b/modules/crawler/DatasetProcessing/JIS_processor.py
@@ -5,7 +5,7 @@ from Utilities import date_formating
 def process_file(filename):
     """
     Method that take path to crawled file and outputs date dictionary:
-    Date dictionary is a dictionary where keys are dates in format ddmmYYYYhh (0804201815)
+    Date dictionary is a dictionary where keys are dates in format YYYY-mm-dd-hh (2018-04-08-15)
     and value is dictionary where keys are devices (specified in configuration file)
     and value is CSVDataLine.csv_data_line with device,date and occurrence
 
diff --git a/modules/crawler/DatasetProcessing/KOLOBEZKY_processor.py b/modules/crawler/DatasetProcessing/KOLOBEZKY_processor.py
index 819d770..ac449dc 100644
--- a/modules/crawler/DatasetProcessing/KOLOBEZKY_processor.py
+++ b/modules/crawler/DatasetProcessing/KOLOBEZKY_processor.py
@@ -5,7 +5,7 @@ from Utilities import date_formating
 def process_file(filename):
     """
     Method that take path to crawled file and outputs date dictionary:
-    Date dictionary is a dictionary where keys are dates in format ddmmYYYYhh (0804201815)
+    Date dictionary is a dictionary where keys are dates in format YYYY-mm-dd-hh (2018-04-08-15)
     and value is dictionary where keys are devices (specified in configuration file)
     and value is CSVDataLine.csv_data_line with device,date and occurrence
 
diff --git a/modules/crawler/DatasetProcessing/WIFI_processor.py b/modules/crawler/DatasetProcessing/WIFI_processor.py
index 4583a98..bb027b3 100644
--- a/modules/crawler/DatasetProcessing/WIFI_processor.py
+++ b/modules/crawler/DatasetProcessing/WIFI_processor.py
@@ -5,7 +5,7 @@ from Utilities import date_formating
 def process_file(filename):
     """
     Method that take path to crawled file and outputs date dictionary:
-    Date dictionary is a dictionary where keys are dates in format ddmmYYYYhh (0804201815)
+    Date dictionary is a dictionary where keys are dates in format YYYY-mm-dd-hh (2018-04-08-15)
     and value is dictionary where keys are devices (specified in configuration file)
     and value is CSVDataLine.csv_data_line with device,date and occurrence
 
diff --git a/modules/crawler/prepare_new_dataset.py b/modules/crawler/prepare_new_dataset.py
index c1ef18a..482397c 100644
--- a/modules/crawler/prepare_new_dataset.py
+++ b/modules/crawler/prepare_new_dataset.py
@@ -21,7 +21,7 @@ def create_default_config_file(dataset_name):
     """
     with open(CONFIG_FILES_PATH + "/" + dataset_name + ".yaml", "w") as file:
         file.write("# jmeno datasetu, pod kterym bude zobrazen v aplikaci\n")
-        file.write("dataset-name: " + dataset_name + "\n")
+        file.write("display-name: " + dataset_name + "\n")
         file.write("# jednoslovný název datasetu, pod kterym bude reprezentovana v architektuře\n")
         file.write("dataset-name: " + dataset_name + "\n")
         file.write("# root slozka, ktera obsahuje odkazy na dataset\n")
@@ -49,7 +49,7 @@ def create_default_processor(dataset_name):
         file.write("def process_file(filename):\n")
         file.write("    \"\"\"\n")
         file.write("    Method that take path to crawled file and outputs date dictionary:\n")
-        file.write("    Date dictionary is a dictionary where keys are dates in format ddmmYYYYhh (0804201815)\n")
+        file.write("    Date dictionary is a dictionary where keys are dates in format YYYY-mm-dd-hh (2018-04-08-15)\n")
         file.write("    and value is dictionary where keys are devices (specified in configuration file)\n")
         file.write("    and value is CSVDataLine.csv_data_line with device,date and occurrence\n")
         file.write("\n")
@@ -124,4 +124,11 @@ def prepare_dataset_structure(dataset_name):
     create_default_config_file(dataset_name)
 
 print("Zadejte jméno nového datasetu:\n")
-prepare_dataset_structure(input().upper())
+
+dataset_name = input().upper()
+
+if dataset_name.isalpha():
+    prepare_dataset_structure(dataset_name)
+    print("Architektura vytvořena \n")
+else:
+    print("Jméno musí obsahovat pouze písmena z abecedy (bez mezer)\n")