commit 4e8c0e5bba0498423f3fd054d2fe590007fc9ce4
Author: Martin Sebela <msebela@zcu.cz>
Date:   Mon May 11 14:24:19 2020 +0200

    New box location and JavaScript changes

diff --git a/website/public/js/zcu-heatmap.js b/website/public/js/zcu-heatmap.js
index ccae886..68e4833 100644
--- a/website/public/js/zcu-heatmap.js
+++ b/website/public/js/zcu-heatmap.js
@@ -125,12 +125,20 @@ function previous() {
   currentTime = (currentTime + 23) % 24;
   drawHeatmap(data[currentTime]);
   setTimeline();
+  mymap.closePopup();
+  updateHeaderControls();
 }
 
 function next() {
   currentTime = (currentTime + 1) % 24;
   drawHeatmap(data[currentTime]);
   setTimeline();
+  mymap.closePopup();
+  updateHeaderControls();
+}
+
+function updateHeaderControls() {
+  document.getElementById('time').value = currentTime;
 }
 
 function setTimeline() {
diff --git a/website/templates/heatmap.html.twig b/website/templates/heatmap.html.twig
index 3d0365b..d579091 100644
--- a/website/templates/heatmap.html.twig
+++ b/website/templates/heatmap.html.twig
@@ -94,14 +94,15 @@
     <div class="locations collapse show" id="mapLocations">
       <ul>
         <li onclick="setMapView()">Kampus ZČU</li>
-        <li onclick="setMapView(49.7367263, 13.3709177, 19)">FPE &ndash; Pedagogická fakulta</li>
-        <li onclick="setMapView(49.7474950, 13.3748308, 19)">FPR &ndash; Právnická fakulta</li>
-        <li onclick="setMapView(49.7450169, 13.3702668, 19)">FZS &ndash; Fakulta zdravotnických studií</li>
+        <li onclick="setMapView(49.7367263, 13.3709177, 18)">FPE &ndash; Pedagogická fakulta</li>
+        <li onclick="setMapView(49.7474950, 13.3748308, 18)">FPR &ndash; Právnická fakulta</li>
+        <li onclick="setMapView(49.7450169, 13.3702668, 18)">FZS &ndash; Fakulta zdravotnických studií</li>
         <li onclick="setMapView(49.7236785, 13.3353118, 18)">NTC &ndash; výzkumné centrum</li>
-        <li onclick="setMapView(49.9590236, 13.1597114, 19)">Zámek ZČU &ndash; Nečtiny</li>
-        <li onclick="setMapView(49.7345564, 13.3585038, 19)">Koleje Borská</li>
-        <li onclick="setMapView(49.7250373, 13.3696772, 19)">Koleje Bory</li>
-        <li onclick="setMapView(49.7600000, 13.3723463, 19)">Koleje Lochotín</li>
+        <li onclick="setMapView(49.9590236, 13.1597114, 18)">Zámek ZČU &ndash; Nečtiny</li>
+        <li onclick="setMapView(49.7345564, 13.3585038, 18)">Koleje Borská</li>
+        <li onclick="setMapView(49.7250373, 13.3696772, 18)">Koleje Bory</li>
+        <li onclick="setMapView(49.7600000, 13.3723463, 18)">Koleje Lochotín</li>
+        <li onclick="setMapView(49.7293726, 13.3589237, 15)">Oblast s&nbsp;koloběžkami</li>
       </ul>
     </div>
   </div>
diff --git a/website/templates/index.html.twig b/website/templates/index.html.twig
index a1b2ae0..3207ca6 100644
--- a/website/templates/index.html.twig
+++ b/website/templates/index.html.twig
@@ -45,7 +45,7 @@
           </li>
           <li class="nav-item button">
             <h2>
-              <a href="/heatmap/?data_set[date]=2019-04-25&amp;data_set[time]=9&amp;data_set[type]=0" class="nav-link">Zobrazit heatmapu</a>
+              <a href="/heatmap/?data_set[date]=2019-04-25&amp;data_set[time]=9&amp;data_set[type]=1" class="nav-link">Zobrazit heatmapu</a>
             </h2>
           </li>
         </ul>
@@ -62,7 +62,7 @@
             <h3>Život na ZČU během dne</h3>
             <hr>
             <p>Zobrazte si heatmapu života univerzity hodinu po hodině během jednoho dne. Od ranního probouzení, kdy studenti a&nbsp;zaměstnanci přicházejí do laboratoří, přes polední špičku v&nbsp;menze až do samotného večera, kdy končí poslední z&nbsp;přednášek a&nbsp;cvičení.</p>
-            <a href="/heatmap/?data_set[date]=2019-04-25&amp;data_set[time]=9&amp;data_set[type]=0" class="btn btn-primary" role="button">Vyzkoušet heatmapu</a>
+            <a href="/heatmap/?data_set[date]=2019-04-25&amp;data_set[time]=9&amp;data_set[type]=1" class="btn btn-primary" role="button">Vyzkoušet heatmapu</a>
 
             <div class="map-point point-1">
               <div class="desc">
@@ -90,7 +90,7 @@
             <h3>Hledání anomálií</h3>
             <hr>
             <p>Heatmapa vám také dává možnost prozkoumávat data vlastním způsobem &ndash; stačí jen zvolit konkrétní datum a&nbsp;čas, pro které chcete data zobrazit. Můžete tak objevit i&nbsp;různé anomálie, například narazit na noční návštěvníky kampusu nebo odhalit návraty na studentské koleje v&nbsp;brzkých ranních hodinách&hellip;</p>
-            <a href="/heatmap/?data_set[date]=2019-04-25&amp;data_set[time]=9&amp;data_set[type]=0" class="btn btn-primary" role="button">Vyzkoušet heatmapu</a>
+            <a href="/heatmap/?data_set[date]=2019-04-25&amp;data_set[time]=9&amp;data_set[type]=1" class="btn btn-primary" role="button">Vyzkoušet heatmapu</a>
 
             <div class="map-point point-3">
               <div class="desc">