commit 52b74f244d0bf384cc999f21c5b36e009161d37d
Author: Martin Sebela <msebela@zcu.cz>
Date:   Sun Oct 18 21:55:53 2020 +0200

    Re #8159 - full height clickable dropdown dataset, fixed tests

diff --git a/website/public/css/style.css b/website/public/css/style.css
index 74bfae0..8e8885f 100644
--- a/website/public/css/style.css
+++ b/website/public/css/style.css
@@ -143,7 +143,7 @@ header .btn-secondary {
   font-size: 16px;
   text-transform: uppercase;
   font-weight: 800;
-  letter-spacing: 0.4px;
+  letter-spacing: .4px;
   border-radius: 0;
   border: #0048A9;
   background: #004fb3;
@@ -227,7 +227,7 @@ h1 {
   text-transform: uppercase;
   font-size: 21px;
   font-weight: 700;
-  letter-spacing: 0.53px;
+  letter-spacing: .53px;
 }
 
 @media (min-width: 992px) {
@@ -239,7 +239,7 @@ h1 {
 h2 {
   font-size: 16px;
   font-weight: 400;
-  letter-spacing: 0.4px;
+  letter-spacing: .4px;
 }
 
 @media (min-width: 992px) {
@@ -251,7 +251,7 @@ h2 {
 h3 {
   font-size: 38px;
   font-weight: 800;
-  letter-spacing: 0.95px;
+  letter-spacing: .95px;
 }
 
 @media (max-width: 575.98px) {
@@ -1206,9 +1206,16 @@ header.map .nav-item {
 }
 
 header.map .nav-item:nth-child(3) {
+  margin-top: 0;
+  margin-bottom: 0;
   border: 0;
 }
 
+header.map .nav-item:nth-child(3) .dropdown {
+  display: flex;
+  height: 100%;
+}
+
 header.map .nav-item:last-child {
   margin-top: 0;
   margin-bottom: 0;
diff --git a/website/public/css/style.scss b/website/public/css/style.scss
index b7d0d62..0c69f48 100755
--- a/website/public/css/style.scss
+++ b/website/public/css/style.scss
@@ -118,7 +118,7 @@ header {
         border-radius: 20px;
 
         &:hover {
-          background: #004fb3;
+          background: $primary-bg-color-darker;
         }
       }
     }
@@ -136,7 +136,7 @@ header {
     }
 
     &:hover {
-      background: #004fb3;
+      background: $primary-bg-color-darker;
     }
   }
 
@@ -145,10 +145,10 @@ header {
     font-size: 16px;
     text-transform: uppercase;
     font-weight: 800;
-    letter-spacing: 0.4px;
+    letter-spacing: .4px;
     border-radius: 0;
     border: $primary-bg-color;
-    background: #004fb3;
+    background: $primary-bg-color-darker;
 
     &:hover {
       background: $primary-bg-color !important;
@@ -223,7 +223,7 @@ h1 {
   text-transform: uppercase;
   font-size: 21px;
   font-weight: 700;
-  letter-spacing: 0.53px;
+  letter-spacing: .53px;
 
   @include media-breakpoint-up(lg) {
     line-height: 55px;
@@ -233,7 +233,7 @@ h1 {
 h2 {
   font-size: 16px;
   font-weight: 400;
-  letter-spacing: 0.4px;
+  letter-spacing: .4px;
 
   @include media-breakpoint-up(lg) {
     margin: 0;
@@ -243,7 +243,7 @@ h2 {
 h3 {
   font-size: 38px;
   font-weight: 800;
-  letter-spacing: 0.95px;
+  letter-spacing: .95px;
 
   @include media-breakpoint-down(xs) {
     font-size: 28px;
@@ -279,6 +279,7 @@ hr {
   position: relative;
 }
 
+// OBRÁZKY VE SLIDECH NA ÚVODNÍ STRÁNCE
 .swiper-slide {
   display: flex;
   justify-content: center;
@@ -312,7 +313,7 @@ hr {
   }
 }
 
-// TEXT VE SLIDU
+// TEXT VE SLIDU NA ÚVODNÍ STRÁNCE
 .slide-text {
   width: 600px;
   padding-bottom: 160px;
@@ -1116,7 +1117,14 @@ header.map .nav-item {
   margin-bottom: auto;
 
   &:nth-child(3) {
+    margin-top: 0;
+    margin-bottom: 0;
     border: 0;
+
+    .dropdown {
+      display: flex;
+      height: 100%;
+    }
   }
 
   &:last-child {
diff --git a/website/tests/Controller/HeatmapControllerTest.php b/website/tests/Controller/HeatmapControllerTest.php
index 1d8cd66..077192b 100644
--- a/website/tests/Controller/HeatmapControllerTest.php
+++ b/website/tests/Controller/HeatmapControllerTest.php
@@ -31,38 +31,38 @@ class HatmapControllerTest extends WebTestCase {
         $this->assertTrue($client->getResponse()->isSuccessful());
     }
 
-    /*     public function testFormSubmit() {
-            $client = static::createClient();
-            $client->request('GET', '/heatmap');
-
-            $crawler = $client->submitForm('Potvrdit výběr');
-            $this->assertTrue($client->getResponse()->isSuccessful());
-
-            $crawler = $client->submitForm(
-                'Potvrdit výběr',
-                [
-                    'date' => '2019-04-11',
-                    'time' => '0',
-                    'type[1]' => 'JIS',
-                ]
-            );
-            $this->assertTrue($client->getResponse()->isSuccessful());
-        }
-
-        public function testFormSubmitInvalid() {
-            $client = static::createClient();
-            $client->request('GET', '/heatmap');
-
-            $crawler = $client->submitForm(
-                'Potvrdit výběr',
-                [
-                    'date' => '11-04-2019',
-                    'time' => '0',
-                    'type[1]' => 'JIS',
-                ]
-            );
-            $this->assertTrue($client->getResponse()->isSuccessful());
-        } */
+    public function testFormSubmit() {
+        $client = static::createClient();
+        $client->request('GET', '/heatmap');
+
+        $crawler = $client->submitForm('btn-update-heatmap');
+        $this->assertTrue($client->getResponse()->isSuccessful());
+
+        $crawler = $client->submitForm(
+            'btn-update-heatmap',
+            [
+                'date' => '2019-04-11',
+                'time' => '0',
+                'type[1]' => 'JIS',
+            ]
+        );
+        $this->assertTrue($client->getResponse()->isSuccessful());
+    }
+
+    public function testFormSubmitInvalid() {
+        $client = static::createClient();
+        $client->request('GET', '/heatmap');
+
+        $crawler = $client->submitForm(
+            'btn-update-heatmap',
+            [
+                'date' => '11-04-2019',
+                'time' => '0',
+                'type[1]' => 'JIS',
+            ]
+        );
+        $this->assertTrue($client->getResponse()->isSuccessful());
+    }
 
     public function testOpenDataAjax() {
         $client = static::createClient();